Beispiel #1
0
 static void RhinoDoc_LayerTableEvent(object sender, Rhino.DocObjects.Tables.LayerTableEventArgs e)
 {
     if (e.Document == ActiveDocument)
     {
         Revit.RefreshActiveView();
     }
 }
Beispiel #2
0
        private void RhinoDoc_LayerTableEvent(object sender, Rhino.DocObjects.Tables.LayerTableEventArgs e)
        {
            if (e.EventType == Rhino.DocObjects.Tables.LayerTableEventType.Added)
            {
                return;
            }
            var x = e;

            DataSender.Start();
        }
Beispiel #3
0
        private void RhinoDoc_LayerTableEvent(object sender, Rhino.DocObjects.Tables.LayerTableEventArgs e)
        {
            // enabled ?
            if (!this.Settings.GetBool("enabled"))
            {
                return;
            }

            // Not add event
            if (e.EventType != Rhino.DocObjects.Tables.LayerTableEventType.Added)
            {
                return;
            }

            //  In detail view
            if (Rhino.RhinoDoc.ActiveDoc.Views.ActiveView.ActiveViewport.ViewportType == Rhino.Display.ViewportType.DetailViewport)
            {
                return;
            }

            // Holding shift inverse SafeLayout new layer behavior.
            if (this.Settings.GetBool("new_layer_visible_in_layout") != ((Eto.Forms.Keyboard.Modifiers & Eto.Forms.Keys.Shift) != 0))
            {
                return;
            }

            // Hide layer in every layouts and details
            Rhino.DocObjects.Layer layer = Rhino.RhinoDoc.ActiveDoc.Layers.FindIndex(e.LayerIndex);
            foreach (Rhino.Display.RhinoPageView pageView in Rhino.RhinoDoc.ActiveDoc.Views.GetPageViews())
            {
                //layer.SetPerViewportVisible(pageView.MainViewport.Id, false);
                foreach (Rhino.DocObjects.DetailViewObject detail in pageView.GetDetailViews())
                {
                    layer.SetPerViewportVisible(detail.Id, false);
                }
            }

            Rhino.RhinoDoc.ActiveDoc.Views.Redraw();
            //RhinoApp.WriteLine("SL : RhinoDoc_LayerTableEvent");
        }
 private void RhinoDoc_LayerTableEvent(object sender, Rhino.DocObjects.Tables.LayerTableEventArgs e)
 {
     DataSender.Start();
 }
 /// <summary>
 /// A layer table event has occurred
 /// </summary>
 public static void OnLayerTableEvent(object sender, Rhino.DocObjects.Tables.LayerTableEventArgs e)
 {
     RhinoApp.WriteLine("> LayerTableEvent");
     RhinoApp.WriteLine("    EventType = {0} **", e.EventType);
 }
 /// <summary>
 /// A layer table event has occurred
 /// </summary>
 void OnLayerTableEvent(object sender, Rhino.DocObjects.Tables.LayerTableEventArgs e)
 {
     RhinoApp.WriteLine("** EVENT: Layer Table: {0} **", e.EventType.ToString());
 }
Beispiel #7
0
 /// <summary>
 /// A layer table event has occurred
 /// </summary>
 void OnLayerTableEvent(object sender, Rhino.DocObjects.Tables.LayerTableEventArgs e)
 {
     DebugWriteMethod();
 }